(function (exports) {
'use strict';

//  Used to provide the ability to associate some arbitrary and unformatted text
// with a host or other name, such as a human readable information about a server
// network, data center, and other accounting information.



var unpackLabels = exports.DNS_UNPACK_LABELS || require('./dns.unpack-labels.js').DNS_UNPACK_LABELS;

exports.DNS_TYPE_TXT = function (ab, pack, record) {
        
    
  var rdataAb = ab.slice(record.rdstart, record.rdstart + record.rdlength);
  var dv = new DataView(rdataAb);
  var s = '';
  var data = '';
  for (var i = 0; i < dv.byteLength; i +=1){

      s = dv.getUint8(i, false);
      data = String.fromCharCode(s);
      console.log("data at " + i + " is: " + data);

  }


  return unpackLabels(new Uint8Array(ab), record.rdstart, { byteLength: 0, cpcount: 0, labels: [], name: '' }).name;
};
}('undefined' !== typeof window ? window : exports));
